// CFTTTexParam - [2020-04-13 11:57:47]
#ifndef _CFTTTEXPARAM_H_
#define _CFTTTEXPARAM_H_

#include "common.h"

class CFTTTexture;

union UTexData {
  CFTTTexture *pTexture_0;
  uint uFlag_0;
};

struct CFTTTexParam {
  UTexData u_0 __attribute__((aligned(8)));
  UTexData u_4;

  static CFTTTexParam int64_2_texparam(uint64 d) __attribute__((always_inline)) {
    CFTTTexParam p;
    memcpy(&p, &d, sizeof(d));
    return p;
  }
};

/*

struct AAAAAAA {
  UTexData u_0 __attribute__((aligned(8)));
  UTexData u_4;
}

struct CFTTTexParam {
  union CFTTTexParam {
    AAAAAAA sss; __attribute__((aligned(8)));
    uint64 ffff;
  };

  static CFTTTexParam int64_2_texparam(uint64 d) __attribute__((always_inline)) {
    CFTTTexParam p;
    memcpy(&p, &d, sizeof(d));
    return p;
  }
};

错误的定义
struct TTexParamData {
  union {
    CFTTTexture *pTexture_0;
    uint field_0;
  } u_0;
  uint field_4;
};

class CFTTTexParam {
public:
  uint unuser_0;
  TTexParamData tTexParamData_4;
};
*/

#endif  //_CFTTTEXPARAM_H_